import 'package:sqflite/sqflite.dart';

class DatabaseHelper {
  DatabaseHelper._privateConstructor();

  static final DatabaseHelper instance = DatabaseHelper._privateConstructor();

  static Database _database;

  Future<Database> get database async {
    if (_database != null) return _database;
    return _database;
  }

  Future<List<Map<String, dynamic>>> executaSQL(String sql) async {
    Database db = await instance.database;
    return await db.rawQuery(sql);
  }

  executeSQL(String sql) async {
    Database db = await instance.database;
    await db.execute(sql);
  }

  Future<List<Map<String, dynamic>>> querySearch(String tabela, where) async {
    Database db = await instance.database;
    return await db.rawQuery('SELECT * FROM $tabela where $where');
  }
}
